Skip to main content
GET
Threshold breaches — one per breach rather than one per reading, and how bad it got.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
threshold_id
string
threshold_name
string
comparison
string
limit_value
string
sensor_id
string
sensor_code
string
measurement
string
asset_id
string
asset_number
string
asset_name
string
opened_at
string
opening_value
string
peak_value
string
severity
string
status
string
acknowledged_at
string
acknowledged_by_user_id
string
cleared_at
string
clearing_value
string
work_order_id
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

acknowledged_at
string<timestamp with time zone>
acknowledged_by_user_id
string<uuid>

Note: This is a Foreign Key to my_profile.user_id.

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

asset_name
string<character varying>
Maximum string length: 250
asset_number
string<character varying>
Maximum string length: 80
cleared_at
string<timestamp with time zone>
clearing_value
number<numeric>
comparison
string<character varying>
Maximum string length: 20
id
string<uuid>

Note: This is a Primary Key.

limit_value
number<numeric>
measurement
string<character varying>
Maximum string length: 30
opened_at
string<timestamp with time zone>
opening_value
number<numeric>
peak_value
number<numeric>
sensor_code
string<character varying>
Maximum string length: 60
sensor_id
string<uuid>

Note: This is a Foreign Key to sensors.id.

severity
string<character varying>
Maximum string length: 20
status
string<character varying>
Maximum string length: 20
threshold_id
string<uuid>

Note: This is a Foreign Key to sensor_thresholds.id.

threshold_name
string<character varying>
Maximum string length: 150
work_order_id
string<uuid>

Note: This is a Foreign Key to inspection_failures.found_in_work_order_id.